/*
 * Segment 6 Intelligente Bewertungsverfahren, SWE 6.1 Stauverlaufsanalyse
 * Copyright (C) 2007 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.ibv.anastau.progstau.parameter;

/**
 * Konstanten für den Zugriff auf die Parameter der Stauverlaufsprognose.
 *
 * @author BitCtrl Systems GmbH, Peuker
 */
public final class SvpParameterDefs {

	/**
	 * Pid der Attributgruppe zur Speicherung der Parameter der
	 * Stauverlaufsprognose.
	 */
	public static final String ATG_NAME_STAUPROGNOSE_MODELL = "atg.stauPrognoseModell";

	/**
	 * Standardwert für die Dämpfungszeit.
	 */
	public static final long SVP_DEFAULT_DAEMPFUNGSZEIT = 0;

	/**
	 * Attributname für die Speichrung der Dämpfungszeit.
	 */
	public static final String ATT_DAEMPFUNGSZEIT = "DämpfungsZeit";

	/**
	 * Standardwert für den Q0-Faktor.
	 */
	public static final long SVP_DEFAULT_FAKTOR_Q0 = 1;

	/**
	 * Attributname für die Speicherung des Q0-Faktors.
	 */
	public static final String ATT_FAKTOR_Q0 = "FaktorQ0";

	/**
	 * Standardwert für den Prognisehorizont.
	 */
	public static final long SVP_DEFAULT_HORIZONT = 3600000L;

	/**
	 * Attributname für die Speicherung des Prognosehorizonts.
	 */
	public static final String ATT_HORIZONT = "PrognoseHorizont";

	/**
	 * Standardwert für die Länge eines Fahrzeugs im Stau.
	 */
	public static final long SVP_DEFAULT_LAENGE_PKW = 6;

	/**
	 * Attributname für die Speicherung der Länge eines Fahrzeugs im Stau.
	 */
	public static final String ATT_LAENGE_PKW = "LängePkw";

	/**
	 * Standardwert für die Schrittweite der Prognose.
	 */
	public static final long SVP_DEFAULT_ITERATIONEN = 600000L;

	/**
	 * Attributname für die Speicherung der Schrittweite der Prognose.
	 */
	public static final String ATT_ITERATIONEN = "AktualisierungsIntervall";

	/** privater Konstruktor für Utility-Klasse. */
	private SvpParameterDefs() {
		super();
	}
}
